package com.zaojiao.component.personal

import androidx.annotation.DrawableRes
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.statusBarsPadding
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.layout.wrapContentWidth
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.zaojiao.component.common.Spacer

@Composable
fun HomePersonalTopBar() {
    Row(
        modifier = Modifier
            .statusBarsPadding()
            .padding(vertical = 9.dp)
            .fillMaxWidth()
            .wrapContentHeight(),
        horizontalArrangement = Arrangement.End,
    ) {
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_message)
        Spacer(width = 21.dp)
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_cart)
        Spacer(width = 21.dp)
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_qrcode)
        Spacer(width = 13.dp)
    }
}

@Composable
fun HomePersonalScrollTopBar() {
    Row(
        modifier = Modifier
            .background(Color.Red)
            .statusBarsPadding()
            .padding(vertical = 9.dp)
            .fillMaxWidth()
            .wrapContentHeight(),
        horizontalArrangement = Arrangement.End,
    ) {
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_message)
        Spacer(width = 21.dp)
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_cart)
        Spacer(width = 21.dp)
        HomePersonalTopBarItem(iconRes = R.mipmap.personal_qrcode)
        Spacer(width = 13.dp)
    }
}

@Composable
fun HomePersonalTopBarItem(
    @DrawableRes iconRes: Int,
    description: String = "",
) {
    Image(
        painter = painterResource(id = iconRes),
        contentDescription = description,
        modifier = Modifier.size(25.dp, 23.dp)
    )
}